# Holds an ACH transaction

<span class="api-endpoint">POST {{<a href="#urlbases">baseURL</a>}}/pay-api/v1/transactions/ach/{{transactionId}}/hold</span>
This endpoint places an ACH (automated clearing house) transaction payment on hold.
This is temporarily paused in processing.
It is prevented from being processed or submitted to the ACH network until it is released.
<span class="api-seealso">See Also:</span><br>
To release an ACH transaction payment hold, see `POST /pay-api/v1/transactions/ach/{{transactionId}}/unhold`.<br>
To void or cancel an ACH transaction that has not been settled, see `POST /pay-api/v1/transactions/ach/{{transactionId}}/void`

Endpoint: POST /pay-api/v1/transactions/ach/{transactionId}/hold
Version: V1
Security: Bearer

## Path parameters:

  - `transactionId` (string, required)
    Specifies the ACH (automated clearing house) transaction identifier.

This value is returned as `transactionId` from either of the following endpoints:
* `POST /pay-api/v1/transactions/ach/payment`
* `GET /pay-api/v1/transactions/ach/payment/credit`

## Response 200 fields (application/json):

  - `transactionId` (string)
    Indicates the transaction identifier.

Example: bf5a1dc7-57b7-4fec-ab09-52c47c1acaff
    Example: bf5a1dc7-57b7-4fec-ab09-52c47c1acaff

  - `typeId` (integer)
    Indicates the Flute ACH (automated clearing house) transaction type code.
Example: 6
    Example: 6

  - `type` (string)
    Indicates the Flute ACH transaction type.
Example: CardAuthentication
    Example: CardAuthentication

  - `statusId` (integer)
    Indicates the Flute ACH transaction status code.
Example: 1
    Example: 1

  - `status` (string)
    Indicates the Flute ACH transaction status type.
Example: Authorized
    Example: Authorized

  - `responseDescription` (string)
    Indicates a free-formed description regarding the transaction.

Example: Command Successful. Approved.
    Example: Command Successful. Approved.

  - `responseCode` (string)
    Indicates a response code regarding the transaction.

Example: 000
    Example: 000

## Response 400 fields (application/json):

  - `details` (string)
    Indicates details about the error.

Example: Validation failed: -- Email: 'Email' is not a valid email address. Severity: Error
    Example: Validation failed: -- Email: 'Email' is not a valid email address. Severity: Error

  - `statusCode` (integer)
    Specifies the HTTP response status code.
This is the HTTP status code returned by the attempted delivery.
The following is a list of HTTP response status codes that include but are not limited to:
| HTTP Status | Meaning |
|  --- | --- |
| 200 | Delivery succeeded |
| 400 | Bad request |
| 401 | Unauthorized |
| 404 | Endpoint not found |
| 429 | Rate limited |

Example: 401
    Example: 401

  - `source` (string)
    Indicates the source of the error.
Example: <Service>
    Example: <Service>

  - `exceptionType` (string)
    Indicates the error's exception type.

Example: FluentValidation.ValidationException
    Example: FluentValidation.ValidationException

  - `correlationId` (string)
    Indicates the correlation identifier.

Example: aa6cfcd0-0295-4a4c-b074-8c901f114fef
    Example: aa6cfcd0-0295-4a4c-b074-8c901f114fef

  - `entityId` (string)
    Indicates the entity identifier.
Example:
null

  - `errorCode` (string)
    Indicates the error code.
Example:
null

## Response 404 fields (application/json):

  - `details` (string)

  - `statusCode` (integer)
    Specifies the HTTP response status code.
This is the HTTP status code returned by the attempted delivery.
The following is a list of HTTP response status codes that include but are not limited to:
| HTTP Status | Meaning |
|  --- | --- |
| 200 | Delivery succeeded |
| 400 | Bad request |
| 401 | Unauthorized |
| 404 | Endpoint not found |
| 429 | Rate limited |

Example: 401
    Example: 401

  - `source` (string)

  - `exceptionType` (string)

  - `correlationId` (string)

  - `entityId` (string)

  - `errorCode` (string)

## Response 500 fields (application/json):

  - `details` (string)

  - `statusCode` (integer)
    Specifies the HTTP response status code.
This is the HTTP status code returned by the attempted delivery.
The following is a list of HTTP response status codes that include but are not limited to:
| HTTP Status | Meaning |
|  --- | --- |
| 200 | Delivery succeeded |
| 400 | Bad request |
| 401 | Unauthorized |
| 404 | Endpoint not found |
| 429 | Rate limited |

Example: 401
    Example: 401

  - `source` (string)

  - `exceptionType` (string)

  - `correlationId` (string)

  - `entityId` (string)

  - `errorCode` (string)

